org.apache.commons.cli.avalon

## Class AbstractParserControl

- java.lang.Object
- - org.apache.commons.cli.avalon.AbstractParserControl

- All Implemented Interfaces:
    ParserControl

      public abstract class AbstractParserControl
      extends Object
      implements ParserControl

  Class to inherit from so when in future when new controls are added clients will no have to implement them.
  See Also:
    `ParserControl`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractParserControl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFinished(int lastOptionCode)` By default always continue parsing by returning false.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractParserControl

          public AbstractParserControl()

  - ### Method Detail

    - #### isFinished

          public boolean isFinished(int lastOptionCode)

      By default always continue parsing by returning false.
      Specified by:
        `isFinished` in interface `ParserControl`
      Parameters:
        `lastOptionCode` - the code of last option parsed
      Returns:
        return true to halt, false to continue parsing
      See Also:
        `ParserControl.isFinished(int)`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.